<div class="absolute inset-0 flex flex-col min-w-0 overflow-y-auto" cdkScrollable>
    <!-- Header -->
    <div class="flex flex-row flex-0 items-center justify-between p-6 sm:pt-2 pb-10 sm:px-10">
        <div class="flex-1 min-w-0">
            <!-- Title -->
            <div class="mt-1">
                <h2 class="text-3xl font-extrabold tracking-tight leading-10 truncate">
                    ลงทะเบียนเยี่ยมบ้าน
                </h2>
            </div>
        </div>
        <!-- Actions -->
        <div class="flex shrink-0 items-center mt-3 sm:mt-0 sm:ml-4">
            <button class="ml-3" mat-flat-button matTooltip="กลับ" class="bg-red-300 text-white" (click)="back()">
                <mat-icon class="icon-size-5 mr-2" [svgIcon]="'heroicons_solid:chevron-left'"></mat-icon>
                Back
            </button>
        </div>
    </div>

    <!-- Main -->
    <div class="flex-auto -mt-12 p-4 shadow overflow-y-auto bg-card" cdkScrollable>
        <!-- CONTENT GOES HERE -->
        <div class="h-fit w-full">
            <!-- //วางเนื้อหางานตรงนี้ -->
            <div class="flex flex-row :w-1/2 md:w-full mb-2">
                <mat-card class="w-full">
                    <mat-card-header class="bg-green-200 rounded-t-xl pb-2">
                        <mat-card-title class="pl-2 text-xl font-bold">ข้อมูลการส่งเยี่ยมบ้าน หน่วยส่งเยี่ยม :
                            {{ refer_hospname }}</mat-card-title>
                    </mat-card-header>
                    <div class="flex flex-col lg:flex-row bg-green-50 w-full rounded-b-xl">
                        <div class="w-full lg:w-1/2 pl-4 my-4">
                            <!-- patient info -->
                            <div class="flex flex-col">
                                <span class="text-xl mb-2"><b>ข้อมูลผู้ป่วย</b></span>
                                <span class="mx-2 mb-2"><b>ชื่อ-สกุล :</b> {{ title
                                    }}{{ first_name }} {{ last_name }}</span>
                                <span class="mx-2 mb-2"><b>เลขบัตรประชาชน :</b>
                                    {{ itemStorage.cid | thaicid }}</span>
                                <span class="mx-2 mb-2"><b>เพศ :</b> {{ gender_name }}</span>
                                <span class="mx-2 mb-2"><b>วันเกิด :</b>
                                    {{ dob | thaidate : "medium" }}</span>
                                <span class="mx-2 mb-2"><b>อายุ :</b> {{ age | thaiage }}</span>
                                <span class="mx-2 mb-2"><b>สิทธิการรักษา :</b>
                                    {{ patient_right }}</span>
                                <span class="mx-2 mb-2"><b>ที่อยู่ปัจจุบัน: </b>
                                    {{ patient_address_name }}</span>
                                <span class="mx-2 mb-2"><b>เบอร์ติดต่อ :</b> {{ phone_number }}
                                </span>
                                <button matTooltip="แก้ไขข้อมูลผู้ป่วย" (click)="editPatient()"
                                    class="w-full bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 my-2 rounded-full">
                                    <mat-icon class="icon-size-4 text-white mx-2"
                                        [svgIcon]="'heroicons_solid:pencil-alt'"></mat-icon>แก้ไขข้อมูลผู้ป่วย
                                </button>
                            </div>
                            <!-- refer level & patient status info -->
                            <div class="flex flex-col lg:flex-row">
                                <div class="w-full lg:w-1/2">
                                    <p class="pl-6 font-semibold mt-2">
                                        ความเร่งด่วนในการเยียมบ้าน
                                        <span class="text-red-700">*</span>
                                    </p>
                                    <mat-radio-group [(ngModel)]="refer_level" aria-label="Select an option"
                                        class="flex flex-col flex-wrap w-full pl-10">
                                        <mat-radio-button *ngFor="let item of itemReferLevel"
                                            value="{{ item.refer_level }}" class="min-w-64">
                                            {{
                                            item.refer_level_name
                                            }}</mat-radio-button>
                                    </mat-radio-group>
                                </div>
                                <div class="w-full lg:w-1/2">
                                    <p class="pl-6 font-semibold mt-2">
                                        สภาวะผู้ป่วยก่อนออกจากโรงพยาบาล
                                        <span class="text-red-700">*</span>
                                    </p>
                                    <mat-radio-group [(ngModel)]="patient_status" aria-label="Select an option"
                                        class="flex flex-col flex-wrap w-full pl-10">
                                        <mat-radio-button *ngFor="
                                                let item of itemPatientStatus
                                            " value="{{ item.patient_status }}" class="min-w-64">{{
                                            item.patient_status_name
                                            }}</mat-radio-button>
                                    </mat-radio-group>
                                </div>
                            </div>
                            <!-- smoke info -->
                            <div class="flex flex-col lg:flex-row">
                                <div class="w-full">
                                    <p class="pl-6 font-semibold mt-2">
                                        สถานะการสูบบุหรี่
                                        <span class="text-red-700">*</span>
                                    </p>
                                    <mat-radio-group [(ngModel)]="is_smoke" aria-label="Select an option"
                                        class="flex flex-col flex-wrap w-full pl-10">
                                        <mat-radio-button value="1" class="min-w-64">สูบ</mat-radio-button>
                                        <mat-radio-button value="0" class="min-w-64">ไม่สูบ</mat-radio-button>
                                    </mat-radio-group>
                                </div>
                            </div>
                            <!-- select department -->
                            <div class="flex flex-col lg:flex-row">
                                <div class="w-full">
                                    <p class="pl-6 font-semibold mt-2">
                                        หอผู้ป่วยที่ส่งออก
                                    </p>
                                    <mat-form-field class="w-1/2 pl-10">
                                        <!-- auto complete filter department -->
                                        <!-- Auto complete filter department -->
                                        <input matInput type="text" [(ngModel)]="department"
                                            [matAutocomplete]="auto" (input)="
                                                filterDepartment(
                                                    $event.target.value
                                                )
                                            " placeholder="ค้นหาหอผู้ป่วยที่ส่งออก" />
                                        <mat-autocomplete #auto="matAutocomplete">
                                            <mat-option *ngFor="
                                                    let item of filteredDepartment
                                                " [value]="item.dep_name">
                                                {{ item.dep_name }}
                                            </mat-option>
                                        </mat-autocomplete>
                                        <!-- old 
                                        <mat-select [(value)]="department" (selectionChange)="onSelectionDepartmentChange($event)">
                                            <mat-option *ngFor="let item of list_department" [value]="item.dep_name">
                                                {{ item.dep_name }}
                                            </mat-option>
                                        </mat-select>
                                        -->
                                    </mat-form-field>
                                </div>
                            </div>
                        </div>
                        <!-- send to home care info -->
                        <div class="w-1/2 md:w-full pl-4 my-4">
                            <span class="text-xl"><b>ข้อมูลการส่งเยี่ยม</b></span>
                            <div class="flex flex-col lg:flex-row">
                                <!-- send date -->
                                <div class="pl-4 min-w-50">
                                    <span class="pl-4"><b>กำหนดวันเยี่ยมบ้าน: </b></span>
                                    <mat-form-field class="mx-2">
                                        <input matInput [matDatepicker]="picker" placeholder="กำหนดวันเยี่ยมบ้าน"
                                            [(ngModel)]="visit_date" />
                                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                        <mat-datepicker #picker></mat-datepicker>
                                    </mat-form-field>
                                </div>
                                <!-- search refer to hospital -->
                                <div class="pl-4 min-w-30">
                                    <span><b>ค้นหาหน่วยที่เยี่ยมบ้าน</b></span>:
                                    <mat-form-field class="w-30 mx-2">
                                        <input matInput [(ngModel)]="searchHospital" (keyup.enter)="search()" />
                                    </mat-form-field>
                                    <!-- button Search -->
                                    <button mat-mini-fab matTooltip="ค้นหาหน่วยที่เยี่ยมบ้าน" (click)="search()"
                                        class="bg-violet-500 text-white">
                                        <mat-icon class="icon-size-4" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                                    </button>
                                </div>
                            </div>
                            <!-- select hospital -->
                            <div class="flex flex-col lg:flex-row">
                                <div class="pl-6 min-w-160">
                                    <b>เลือกหน่วยที่เยี่ยมบ้าน<span class="text-red-700">*</span>
                                        :</b>
                                    <mat-form-field class="w-160 mx-2">
                                        <mat-select [(value)]="refer_to_hcode" (selectionChange)="
                                                onSelectionChange($event)
                                            ">
                                            <mat-option *ngFor="
                                                    let item of filteredHospital
                                                " [value]="item.code">
                                                {{ item.code }} -
                                                {{ item.name }} |
                                                {{ item.ampurname }}
                                                {{ item.changwatname }}
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                            </div>
                            <!-- disease catagory -->
                            <p class="pl-6 font-semibold mt-2">
                                สาเหตุการเยี่ยมบ้าน
                                <span class="text-red-700">*</span>
                            </p>
                            <div class="flex flex-auto flex-wrap w-full pl-10">
                                <section *ngFor="let item of itemCatagory" class="example-section">
                                    <mat-checkbox [(ngModel)]="item.ngModel" value="{{ item.catagory_id }}"
                                        class="min-w-48" (change)="onCheckboxChange($event)">{{ item.catagory_name
                                        }}</mat-checkbox>
                                </section>
                            </div>
                            <!-- send item to home use -->
                            <div class="w-full pl-6">
                                <span class="font-semibold mb-2 mt-2">ปัญหาที่ต้องดูแล/อุปกรณ์ที่ติดตัวผู้ป่วย :
                                </span>
                                <div class="flex flex-auto flex-wrap w-full pl-4">
                                    <section *ngFor="let i of listItem" class="example-section">
                                        <mat-checkbox [(ngModel)]="i.ngModel" value="{{ i.id }}" class="min-w-48"
                                            (change)="home_visit($event)">{{ i.name }}</mat-checkbox>
                                    </section>
                                </div>
                            </div>
                            <!-- option detail -->
                            <p class="pl-6 font-semibold mt-2">
                                ข้อมูลเพิ่มเติม
                            </p>
                            <mat-form-field class="w-full pl-10 pr-10">
                                <textarea matInput [(ngModel)]="extra_detail"
                                    style="width: 100%; padding: 2px"></textarea>
                            </mat-form-field>
                        </div>
                    </div>
                </mat-card>
            </div>
            <mat-card>
                <mat-card-header class="bg-green-200 rounded-t-md pb-2">
                    <mat-card-title class="pl-2 text-xl font-bold">
                        ข้อมูลการรักษา
                    </mat-card-title>
                </mat-card-header>
                <div class="flex flex-col lg:flex-row bg-green-50 w-full rounded-b-xl py-2">
                    <div class="w-full lg:w-1/2 pl-4 my-4">
                        <mat-form-field appearance="" class="w-full pl-10 pr-5">
                            <mat-label>การวินิจฉัยโรค</mat-label>
                            <input matInput type="text" [(ngModel)]="diag_text" class="bg-white" />
                        </mat-form-field>
                        <mat-form-field appearance="fill" class="w-1/2 pl-10">
                            <mat-label>ICD10</mat-label>
                            <input matInput type="text" [(ngModel)]="icd10" class="bg-white" [matAutocomplete]="autoDiag"
                                placeholder="ICD10 หรือ ชื่อโรค" (input)="filterIcd10Who($event.target.value)">
                            <mat-autocomplete #autoDiag="matAutocomplete">
                                <mat-option *ngFor="let item of filteredDiagnosis" [value]="item.name">
                                    {{ item.name }}
                                </mat-option>
                            </mat-autocomplete>
                        </mat-form-field>
                        <mat-form-field appearance="" class="w-1/3 pl-10 pr-5">
                            <mat-label>ประเภท</mat-label>
                            <mat-select [(value)]="selectedDiagnosisType">
                                <mat-option *ngFor="let item of listDiagType" [value]="item.id">
                                    {{ item.name }}
                                </mat-option>
                            </mat-select>
                        </mat-form-field>
                        <button mat-raised-button (click)="addDiagnosis()" class="bg-green-500 text-white">
                            <mat-icon class="icon-size-4" [svgIcon]="'heroicons_solid:plus'"></mat-icon>
                            เพิ่ม
                        </button>
                    </div>
                    <div class="w-full lg:w-1/2 pl-4 my-4">
                        <div class="w-full px-4">
                            <table class="w-full">
                                <thead style="background-color: #94ffd8">
                                    <tr>
                                        <th class="w-1/8" style="background-color: #94ffd8">
                                            ICD10
                                        </th>
                                        <th class="w-1/2">การวินิจฉัยโรค</th>
                                        <th class="w-1/4">ประเภท</th>
                                        <th class="w-1/8"></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let item of diagnosis" style="border-top: solid 1px #00215e">
                                        <td class="text-center">
                                            {{ item.diag_code }}
                                        </td>
                                        <td>{{ item.diag_name }}</td>
                                        <td class="text-center">
                                            {{
                                            item.diag_type == 1
                                            ? "Primary"
                                            : "Secondary"
                                            }}
                                        </td>
                                        <td class="text-center">
                                            <button mat-icon-button (click)="removeDiagnosis(item)">
                                                <mat-icon class="icon-size-4 text-red-500" [svgIcon]="
                                                        'heroicons_solid:trash'
                                                    "></mat-icon>
                                            </button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <mat-divider></mat-divider>
                <mat-tab-group>
                    <mat-tab label="ยาที่ได้รับ">
                        <table mat-table [dataSource]="dataSourceDrug" class="mat-elevation-z4">
                            <ng-container matColumnDef="action">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center w-10"></th>
                                <td mat-cell *matCellDef="let element">
                                    <mat-checkbox class="example-margin" (change)="
                                            med_reconcile(element, $event)
                                        ">
                                    </mat-checkbox>
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugdate">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    วันที่จ่ายยา
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.date_serv | thaidate : "short" }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugname">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    ชื่อยา
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.drug_name }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="druguse">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    วิธีใช้
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.usage_line1 }}
                                    {{ element.usage_line2 }}
                                    {{ element.usage_line3 }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugqty">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center">
                                    จำนวน
                                </th>
                                <td mat-cell *matCellDef="let element" class="text-center pr-2">
                                    {{ element.qty }}
                                </td>
                            </ng-container>

                            <tr mat-header-row *matHeaderRowDef="displayedColumnsDrug"></tr>
                            <tr mat-row *matRowDef="
                                    let row;
                                    columns: displayedColumnsDrug
                                "></tr>
                        </table>
                    </mat-tab>
                    <mat-tab label="ผลการตรวจทางห้องปฏิบัติการ">
                        <table mat-table [dataSource]="dataSourceLab" class="mat-elevation-z4">
                            <ng-container matColumnDef="action">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center w-10"></th>
                                <td mat-cell *matCellDef="let element">
                                    <mat-checkbox class="example-margin" (change)="lab(element, $event)"></mat-checkbox>
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="labdate">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    วันที่ตรวจ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.date_serv | thaidate : "short" }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="labname">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    รายการ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.lab_name }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="labresult">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center">
                                    ผลการตรวจ
                                </th>
                                <td mat-cell *matCellDef="let element" class="text-center">
                                    {{ element.lab_result }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="labnormal">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center">
                                    ค่าปกติ
                                </th>
                                <td mat-cell *matCellDef="let element" class="text-center">
                                    {{ element.standard_result }}
                                </td>
                            </ng-container>

                            <tr mat-header-row *matHeaderRowDef="displayedColumnsLab"></tr>
                            <tr mat-row *matRowDef="
                                    let row;
                                    columns: displayedColumnsLab
                                "></tr>
                        </table>
                    </mat-tab>
                    <mat-tab label="ผลการตรวจทางรังสี">
                        <table mat-table [dataSource]="dataSourceXray" class="mat-elevation-z4">
                            <ng-container matColumnDef="action">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center w-10"></th>
                                <td mat-cell *matCellDef="let element">
                                    <mat-checkbox class="example-margin"
                                        (change)="xray(element, $event)"></mat-checkbox>
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="xraydate">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    วันที่ตรวจ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.xray_date | thaidate : "short" }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="xrayname">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    รายการ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.xray_name }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="xrayresult">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    ผลการตรวจ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.xrayresult }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="interpret">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    ผู้รายงาน
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.interpret }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="comments">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    หมายเหตุ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.comments }}
                                </td>
                            </ng-container>

                            <tr mat-header-row *matHeaderRowDef="displayedColumnsXray"></tr>
                            <tr mat-row *matRowDef="
                                    let row;
                                    columns: displayedColumnsXray
                                "></tr>
                        </table>
                    </mat-tab>
                    <mat-tab label="ประวัติแพ้ยา">
                        <table mat-table [dataSource]="dataSourceDrugAllergy" class="mat-elevation-z4">
                            <ng-container matColumnDef="action">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center w-10"></th>
                                <td mat-cell *matCellDef="let element">
                                    <mat-checkbox class="example-margin" (change)="allergy(element, $event)">
                                    </mat-checkbox>
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugallergydate">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    วันที่บันทึก
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{
                                    element.daterecord | thaidate : "short"
                                    }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugallergyname">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    ชื่อยา
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.drug_name }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugallergysymptom">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    อาการ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.symptom }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugallergylevel">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200 text-center">
                                    ระดับการแพ้
                                </th>
                                <td mat-cell *matCellDef="let element" class="text-center">
                                    {{ element.drugallergylevel }}
                                </td>
                            </ng-container>

                            <ng-container matColumnDef="drugallergyfind">
                                <th mat-header-cell *matHeaderCellDef class="bg-slate-200">
                                    หน่วยที่ตรวจพบ
                                </th>
                                <td mat-cell *matCellDef="let element">
                                    {{ element.provider_name }}
                                </td>
                            </ng-container>

                            <tr mat-header-row *matHeaderRowDef="displayedColumnsDrugAllergy"></tr>
                            <tr mat-row *matRowDef="
                                    let row;
                                    columns: displayedColumnsDrugAllergy
                                "></tr>
                        </table>
                    </mat-tab>
                </mat-tab-group>
            </mat-card>
            <div class="flex justify-items-center justify-center -mx-8 px-8 py-5">
                <button class="px-12 py-6 bg-green-100 text-green-600 text-2xl" (click)="save_coc_register()"
                    matTooltip="บันทึกลงทะเบียน" mat-raised-button>
                    <mat-icon>cloud_upload</mat-icon>
                    <span class="ml-2">บันทึกลงทะเบียน</span>
                </button>
            </div>
        </div>
    </div>
</div>